#
# spec file for package easy-rsa
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Stefan Jakobs.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           easy-rsa
Version:        3.0.1
Release:        0
Summary:        CLI utility to build and manage a PKI CA
License:        GPL-2.0
Group:          Productivity/Networking/Security
Url:            https://github.com/OpenVPN/easy-rsa
Source:         https://github.com/OpenVPN/easy-rsa/archive/%{version}.tar.gz
# Fixed upstream issues
# Generate random serial number for all certificates
Patch0:         https://github.com/OpenVPN/easy-rsa/commit/f174800.patch
# Fixes #91 basename: invalid option -- 's'.
Patch1:         https://github.com/OpenVPN/easy-rsa/commit/29d4dee.patch
# spelling fixes and setence structure improvements
Patch2:         https://github.com/OpenVPN/easy-rsa/commit/b93d0a1.patch
# Fix comment indicating the end of the function verify_file() comment.
Patch3:         https://github.com/OpenVPN/easy-rsa/commit/fb4d8d8.patch
# Convert README and COPYING into markdown files
Patch4:         https://github.com/OpenVPN/easy-rsa/commit/b75faa4.patch
# openSUSE specific
Patch100:       easy-rsa-packaging.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
easy-rsa is a CLI utility to build and manage a PKI CA. In laymen's terms,
this means to create a root certificate authority, and request and sign
certificates, including sub-CAs and certificate revokation lists (CRL).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch100 -p0
sed -i 's;#\(set_var EASYRSA	\)"$PWD";\1"%{_sysconfdir}/easy-rsa";' easyrsa3/vars.example

# Add this for SLE11, patch tool can't rename file.
# Next release we should publish .md documentation.
%if 0%{?sles_version} > 0 && 0%{?sles_version} < 12
mv -v COPYING COPYING.md
mv -v README README.md
%endif

mv -v COPYING.md COPYING
mv -v README.md README
mv -v README.quickstart.md README.quickstart
for f in doc/*.md; do
   mv $f ${f%.md}
done

%build

%install
install -dm0700 %{buildroot}/%{_sysconfdir}/easy-rsa/
install -dm0755 %{buildroot}/%{_sysconfdir}/easy-rsa/x509-types
install -Dm0644 easyrsa3/vars.example %{buildroot}/%{_sysconfdir}/easy-rsa/vars
install -Dm0644 easyrsa3/openssl-1.0.cnf %{buildroot}/%{_sysconfdir}/easy-rsa/openssl-1.0.cnf
install -Dm0644 easyrsa3/x509-types/* %{buildroot}/%{_sysconfdir}/easy-rsa/x509-types/
install -Dm0755 easyrsa3/easyrsa %{buildroot}/%{_bindir}/easyrsa

%files
%defattr(-,root,root)
%doc KNOWN_ISSUES README README.quickstart COPYING
%doc Licensing/*
%doc doc/*
%{_bindir}/easyrsa
%config(noreplace) %{_sysconfdir}/easy-rsa

%changelog
